Chromium Code Reviews
Help | Chromium Project | Sign in
(162)

Issue 10993066: Add oem mount point to cros_mount_provider. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 10 months ago by tbarzic
Modified:
2 years, 9 months ago
Reviewers:
kinuko, zel
CC:
chromium-reviews, mihaip-chromium-reviews_chromium.org, nkostylev+watch_chromium.org, tzik+watch_chromium.org, Aaron Boodman, darin-cc_chromium.org, oshima+watch_chromium.org, kinuko+watch, stevenjb+watch_chromium.org, davemoore+watch_chromium.org
Visibility:
Public.

Description

Add oem mount point to cros_mount_provider. The new mount point will be accessible will be accessible by file manager extension, but it won't be shown in the UI. The mount point will contain Timescapes-ChromeOS video which will be playable in the media player. BUG=152216 TEST=manual (tried playing video on oem mount point using media player) Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=159856

Patch Set 1 #

Total comments: 1

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : . #

Patch Set 8 : . #

Patch Set 9 : forgot one file #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+377 lines, -14 lines) Patch
M chrome/browser/chromeos/extensions/external_filesystem_apitest.cc View 1 2 3 4 5 6 chunks +64 lines, -8 lines 0 comments Download
M chrome/test/data/extensions/api_test/filebrowser_component/remote.js View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
A + chrome/test/data/extensions/api_test/filebrowser_component/restricted.html View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
A chrome/test/data/extensions/api_test/filebrowser_component/restricted.js View 1 2 3 4 5 6 7 1 chunk +260 lines, -0 lines 0 comments Download
M webkit/chromeos/fileapi/cros_mount_point_provider.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M webkit/chromeos/fileapi/cros_mount_point_provider.cc View 1 2 3 4 5 8 chunks +35 lines, -4 lines 2 comments Download
M webkit/fileapi/file_system_context.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M webkit/fileapi/file_system_mount_point_provider.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M webkit/fileapi/file_system_types.h View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
M webkit/fileapi/local_file_system_operation.cc View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 13 (0 generated)
tbarzic
Please, take a look. Talked with Min Li and she confirmed with cmasone that it ...
2 years, 10 months ago (2012-09-27 20:08:09 UTC) #1
zel
http://codereview.chromium.org/10993066/diff/1/chrome/browser/chromeos/extensions/file_handler_util.cc File chrome/browser/chromeos/extensions/file_handler_util.cc (right): http://codereview.chromium.org/10993066/diff/1/chrome/browser/chromeos/extensions/file_handler_util.cc#newcode724 chrome/browser/chromeos/extensions/file_handler_util.cc:724: if (url.filesystem_id() == kOemMountPointID) { let's create a more ...
2 years, 10 months ago (2012-09-27 20:11:10 UTC) #2
tbarzic
did you mean something like this?
2 years, 10 months ago (2012-09-27 21:54:09 UTC) #3
zel
'restricted' here is actually enforced 'read-only', you should put that somewhere in comments. also, this ...
2 years, 10 months ago (2012-09-27 22:35:03 UTC) #4
tbarzic
On 2012/09/27 22:35:03, zel wrote: > 'restricted' here is actually enforced 'read-only', you should put ...
2 years, 10 months ago (2012-09-27 23:36:49 UTC) #5
tbarzic
On 2012/09/27 23:36:49, tbarzic wrote: > On 2012/09/27 22:35:03, zel wrote: > > 'restricted' here ...
2 years, 10 months ago (2012-09-29 01:16:11 UTC) #6
zel
lgtm
2 years, 10 months ago (2012-09-29 01:40:47 UTC) #7
kinuko
http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode194 webkit/chromeos/fileapi/cros_mount_point_provider.cc:194: file_access_permissions_->GrantAccessPermission( Do we also need to avoid calling this ...
2 years, 9 months ago (2012-10-03 02:38:04 UTC) #8
kinuko
On 2012/10/03 02:38:04, kinuko wrote: > http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc > File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): > > http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode194 > ...
2 years, 9 months ago (2012-10-03 02:38:38 UTC) #9
tbarzic
http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode194 webkit/chromeos/fileapi/cros_mount_point_provider.cc:194: file_access_permissions_->GrantAccessPermission( On 2012/10/03 02:38:04, kinuko wrote: > Do we ...
2 years, 9 months ago (2012-10-03 02:47:32 UTC) #10
kinuko
On 2012/10/03 02:47:32, tbarzic wrote: > http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc > File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): > > http://codereview.chromium.org/10993066/diff/27001/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode194 > ...
2 years, 9 months ago (2012-10-03 02:51:53 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/10993066/27001
2 years, 9 months ago (2012-10-03 03:09:03 UTC) #12
commit-bot: I haz the power
2 years, 9 months ago (2012-10-03 06:07:59 UTC) #13
Change committed as 159856
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5